Embed the email template editor
curl --request GET \
--url https://api.pocketflows.com/email_template_embeds/{id}/show \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/email_template_embeds/{id}/show"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/email_template_embeds/{id}/show', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Email template embeds
Embed the email template editor
GET
/
email_template_embeds
/
{id}
/
show
Embed the email template editor
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the email template embed
Query Parameters
Whether to hide the top bar when embedding the email template editor
Whether to hide the "Save" and "Send Test Email" buttons when embedding the email template editor
Whether to hide the "Save" button when embedding the email template editor
Whether to hide the "Send Test Email" button when embedding the email template editor
Response
200 - text/html
The embeddable HTML that will render a UI for editing the email template
The response is of type string.